package com.leanwo.activiti.service.base.impl;

import org.springframework.stereotype.Component;

import com.leanwo.activiti.exception.ServerException;


@Component
public class FileServerImpl implements FileServer {

	private static final String ERROR_MSG = "文件服务器异常";
	
	
	/**
	 * 获取默认的异常
	 * @return
	 */
	public ServerException getDefaultException() {
		throw new ServerException(ERROR_MSG);
	}
	
	
	@Override
	public String dictionaryHome() {
		throw getDefaultException();
	}

	@Override
	public String clientFileHome() {
		throw getDefaultException();
	}

}
